Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelBodyEdges

Returns an array of `PetscGeom` EDGE objects attached to the referenced BODY geometric entity as well as the number of EDGEs.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelBodyEdges(DM dm, PetscGeom body, PetscGeom **edges, PetscInt *numEdges) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom body object of interest.

## Output Parameters

- edges - Array of PetscGeom EDGE objects referenced by the PetscGeom BODY object

- numEdges - Number of EDGEs referenced by the PetscGeom BODY object. Also the size of **edges array.

## See Also

`DMPlexGetGeomModelBodies()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages